## jpilot 0.99.2

=== Expense/Makefile ===
top_srcdir = ..
top_builddir = ..

# Install variables
prefix=/usr

#Pilot flags (include dir), and Libraries
PILOT_FLAGS= -I/usr/extra/pilot-head/include
PILOT_LIBS=-L/usr/extra/pilot-head/lib -lpisock

#set CC to your compiler
CC = gcc
INSTALL = /usr/bin/ginstall -c
LIBTOOL = $(SHELL) $(top_builddir)/libtool

# CC options
CCDEFINES = -DHAVE_CONFIG_H
CFLAGS = 
OPTIONS = -Wall -O2 $(CFLAGS)

# GTK+ flags
GTKFLAGS = -I/opt/gnome/include/gtk-1.2 -I/opt/gnome/include/glib-1.2 -I/opt/gnome/lib/glib/include -I/usr/X11R6/include
# GTK+ libs
GTKLIBS = -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm

# Targets
all: libplugin.h expense.o libexpense.la

libexpense.la: expense.o
	$(LIBTOOL) --mode=link \
	$(CC) $(OPTIONS) -o libexpense.la \
	expense.lo \
	-rpath $(prefix)/lib/jpilot/plugins \
	-version-info 1:1 \
	-avoid-version

expense.o: expense.c libplugin.h
	$(LIBTOOL) --mode=compile \
	$(CC) $(OPTIONS) $(GTKFLAGS) $(PILOT_FLAGS) -c expense.c

libplugin.h: ../libplugin.h
	rm -f libplugin.h; ln -s ../libplugin.h libplugin.h; \

clean: 
	rm -f *.o *~ config.cache .libs/* *.so *.so.? *.so.?.? *.lo *.la
	rm -rf .libs/

distclean: clean
	rm -f config.status config.log *.so Makefile

#
# This is a global install.  You can also install per user in
# ~/.jpilot/plugins
#
install:
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot; \
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot/plugins; \
	$(LIBTOOL) --mode=install $(INSTALL) \
	libexpense.la $(prefix)/lib/jpilot/plugins

local_install:
	$(INSTALL) -d -m 755 $(HOME)/.jpilot; \
	$(INSTALL) -d -m 755 $(HOME)/.jpilot/plugins; \
	$(LIBTOOL) --mode=install $(INSTALL) \
	libexpense.la $(HOME)/.jpilot/plugins

uninstall:
	rm -f $(prefix)/lib/jpilot/plugins/libexpense.so*

=== KeyRing/Makefile ===
top_srcdir = ..
top_builddir = ..

# Install variables
prefix=/usr

#Pilot flags (include dir), and Libraries
PILOT_FLAGS= -I/usr/extra/pilot-head/include
PILOT_LIBS=-L/usr/extra/pilot-head/lib -lpisock

#opensll or des
CRYPTO_LIBS=-lcrypto

#set CC to your compiler
CC = gcc
INSTALL = /usr/bin/ginstall -c
LIBTOOL = $(SHELL) $(top_builddir)/libtool

# CC options
CCDEFINES = -DHAVE_CONFIG_H
CFLAGS = 
OPTIONS = -Wall -O2 $(CFLAGS)

# GTK+ flags
GTKFLAGS = -I/opt/gnome/include/gtk-1.2 -I/opt/gnome/include/glib-1.2 -I/opt/gnome/lib/glib/include -I/usr/X11R6/include
# GTK+ libs
GTKLIBS = -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm

# Targets
all: libplugin.h keyring.o libkeyring.la

libkeyring.la: keyring.o
	$(LIBTOOL) --mode=link \
	$(CC) $(OPTIONS) -o libkeyring.la \
	keyring.lo \
	-rpath $(prefix)/lib/jpilot/plugins \
	-version-info 1:1 \
	-avoid-version \
	$(CRYPTO_LIBS)

keyring.o: keyring.c libplugin.h
	$(LIBTOOL) --mode=compile \
	$(CC) $(OPTIONS) $(GTKFLAGS) $(PILOT_FLAGS) -c keyring.c

libplugin.h: ../libplugin.h
	rm -f libplugin.h; ln -s ../libplugin.h libplugin.h; \

clean: 
	rm -f *.o *~ config.cache .libs/* *.so *.so.? *.so.?.? *.lo *.la
	rm -rf .libs/

distclean: clean
	rm -f config.status config.log *.so Makefile

#
# This is a global install.  You can also install per user in
# ~/.jpilot/plugins
#
install:
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot; \
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot/plugins; \
	$(LIBTOOL) --mode=install $(INSTALL) \
	libkeyring.la $(prefix)/lib/jpilot/plugins

local_install:
	$(INSTALL) -d -m 755 $(HOME)/.jpilot; \
	$(INSTALL) -d -m 755 $(HOME)/.jpilot/plugins; \
	$(LIBTOOL) --mode=install ./install-sh \
	libkeyring.la $(HOME)/.jpilot/plugins

uninstall:
	rm -f $(prefix)/lib/jpilot/plugins/libkeyring.so*

=== SyncTime/Makefile ===
top_srcdir = ..
top_builddir = ..

# Install variables
prefix=/usr

#Pilot flags (include dir), and Libraries
PILOT_FLAGS= -I/usr/extra/pilot-head/include
PILOT_LIBS=-L/usr/extra/pilot-head/lib -lpisock

#set CC to your compiler
CC = gcc
INSTALL = /usr/bin/ginstall -c
LIBTOOL = $(SHELL) $(top_builddir)/libtool

# CC options
CCDEFINES = -DHAVE_CONFIG_H
CFLAGS = 

# CC options
OPTIONS = -Wall -O2 $(CFLAGS)

# GTK+ flags
GTKFLAGS = -I/opt/gnome/include/gtk-1.2 -I/opt/gnome/include/glib-1.2 -I/opt/gnome/lib/glib/include -I/usr/X11R6/include
# GTK+ libs
GTKLIBS = -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm

# Targets
all: libplugin.h libsynctime.la

libsynctime.la: synctime.o
	$(LIBTOOL) --mode=link \
	$(CC) $(OPTIONS) -o libsynctime.la \
	synctime.lo \
	-rpath $(prefix)/lib/jpilot/plugins \
	-version-info 1:1 \
	-avoid-version

synctime.o: synctime.c libplugin.h
	$(LIBTOOL) --mode=compile \
	$(CC) $(OPTIONS) $(GTKFLAGS) $(PILOT_FLAGS) -c synctime.c

libplugin.h: ../libplugin.h
	rm -f libplugin.h; ln -s ../libplugin.h libplugin.h; \

clean: 
	rm -f *.o *~ config.cache .libs/* *.so *.so.? *.so.?.? *.lo *.la
	rm -rf .libs/

distclean: clean
	rm -f config.status config.log *.so Makefile

#
# This is a global install.  You can also install per user in
# ~/.jpilot/plugins
#
install:
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot; \
	$(INSTALL) -d -m 755 $(prefix)/lib/jpilot/plugins; \
	$(LIBTOOL) --mode=install $(INSTALL) \
	libsynctime.la $(prefix)/lib/jpilot/plugins

local_install:
	$(INSTALL) -d -m 755 $(HOME)/.jpilot; \
	$(INSTALL) -d -m 755 $(HOME)/.jpilot/plugins; \
	$(LIBTOOL) --mode=install $(INSTALL) \
	libsynctime.la $(HOME)/.jpilot/plugins

uninstall:
	rm -f $(prefix)/lib/jpilot/plugins/libsynctime.so*

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = jpilot
VERSION = 0.99.2

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


#prefix = ${PREFIX}
prefix=/usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = 
GMSGFMT = PATH=../src:$$PATH /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = PATH=../src:$$PATH /usr/bin/xgettext
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  ja.po de.po fr.po da.po sv.po es.po nl.po ca.po cs.po no.po it.po
GMOFILES =  ja.gmo de.gmo fr.gmo da.gmo sv.gmo es.gmo nl.gmo ca.gmo cs.gmo no.gmo it.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../address.c \
	../address_gui.c \
	../alarms.c \
	../dat.c \
	../datebook.c \
	../datebook_gui.c \
	../export_gui.c \
	../import_gui.c \
	../install_gui.c \
	../jpilot.c \
	../libplugin.c \
	../log.c \
	../memo.c \
	../memo_gui.c \
	../monthview_gui.c \
	../password.c \
	../plugins.c \
	../prefs.c \
	../prefs_gui.c \
	../print.c \
	../print_gui.c \
	../print_headers.c \
	../restore_gui.c \
	../search_gui.c \
	../sync.c \
	../todo.c \
	../todo_gui.c \
	../utils.c \
	../weekview_gui.c \
	../Expense/expense.c \
	../KeyRing/keyring.c

CATALOGS =  ja.gmo de.gmo fr.gmo da.gmo sv.gmo es.gmo nl.gmo ca.gmo cs.gmo no.gmo it.gmo
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

$(srcdir)/$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(PACKAGE).po \
	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	PATH=`pwd`/../src:$$PATH; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' -e '/^[ 	]*$$/d' \
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in \
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## jpilot 1.6.2.9

=== debian/changelog ===
jpilot (1.6.2.9-1) unstable; urgency=low

  * New upstream release
   - Closes: #565817 "jpilot-plugins: Libgcrypt warning: missing
   initialization in syslog"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Jan 2010 15:12:43 +0100

jpilot (1.6.2.8-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
  * Move to source format "3.0 (quilt)"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 12 Dec 2009 17:07:57 +0100

jpilot (1.6.2.7-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
  * debian/rules: use dh

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Sep 2009 10:55:37 +0200

jpilot (1.6.2.6-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
  * Fix "please support categories on datebook records" fixed upstream
    (Closes: #531905)
  * debian/control: use libreadline-dev instead of libreadline5-dev
    http://lists.debian.org/debian-devel/2009/09/msg00549.html

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Sep 2009 14:19:27 +0200

jpilot (1.6.2.5-2) unstable; urgency=low

  * revert DEB_*_ARCH change.  The build fails on kfreebsd-*

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 27 Aug 2009 18:39:35 +0200

jpilot (1.6.2.5-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
  * Fix "vcard/ldif export needs RFC2426 mapping for pilot fields, esp.
    custom" fixed upstream (Closes: #246234)
  * Fix "inconsistent Cyrillic translation policy: PDB file names not
    recoded" fixed upstream (Closes: #246024)
  * Fix "makes palm Z22 crash after Restore Hanheld" fixed upstream
    (Closes: #502164)
  * debian/control: Standards-Version: 3.8.1 -> 3.8.3
    use DEB_HOST_ARCH and DEB_BUILD_ARCH

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 26 Aug 2009 19:05:44 +0200

jpilot (1.6.2.4-2) unstable; urgency=low

  * debian/control: Build-Depends: libpisock-dev (>= 0.12.4~)
    Depends: libpisock9 (>= 0.12.4~)
    - Fix "version 1.6.2.4 should depend on libpisock9 >= 0.12.4" Force the
    use of pilot-link >= 0.12.4 at build and run time (Closes: #532798)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Jun 2009 13:25:53 +0000

jpilot (1.6.2.4-1) unstable; urgency=low

  * New upstream release
    add support of pilot-link 0.12.4
  * debian/rules: remove call to deprecated dh_desktop

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 31 May 2009 11:58:13 +0200

jpilot (1.6.2.3-1) unstable; urgency=low

  * New upstream release
   - Closes: Ubuntu bug 366543
     https://bugs.launchpad.net/ubuntu/+source/jpilot/+bug/366543

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Apr 2009 17:21:41 +0200

jpilot (1.6.2.2-1) unstable; urgency=low

  * New upstream release
   - Fix "unconvertable character damages memo text" (Closes: #520135)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 20 Mar 2009 21:47:58 +0000

jpilot (1.6.2.1-2) unstable; urgency=low

  * Fix "jpilot_1.6.2.1-1(mips/unstable): FTBFS on mips. missing build
    dependency ?" add Build-Depends: intltool (Closes: #520159)
  * Build-Depends: use libgcrypt11-dev instead of libssl-dev to avoid licence
    problems mixing OpenSSL and GPL code.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Mar 2009 16:38:03 +0100

jpilot (1.6.2.1-1) unstable; urgency=low

  * New upstream release
   - Fix "some ComboBoxes do not show UTF8 strings correctly"
    (Closes: #519120)
  * use debhelper version 7 instead of 4
  * use Standards-Version: 3.8.1 instead of 3.7.3
   - add support of parallel in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Mar 2009 21:07:18 +0000

jpilot (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Feb 2009 15:52:21 +0100

jpilot (1.6.1-1) unstable; urgency=low

  * New upstream release
   - Import of contacts into datebook works but corrupts database.
     (Closes: #422093)
   - broken ical export (Closes: #370331)
   - Error message implies wrong sync order (Closes: #404294)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 15:03:44 +0100

jpilot (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 31 May 2008 12:18:11 +0200

jpilot (1.5.99-pre4-1) unstable; urgency=low

  * New upstream release
   - The real upstream version is 1.6.0-pre4-1 but upgrading to a non-pre
   version would fail
   - makes palm Z22 crash after sync (Closes: #477421)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 21 May 2008 15:58:30 +0200

jpilot (0.99.9.22-1) unstable; urgency=low

  * New upstream release
   - Closes: #453444 "jpilot: Contacts exports fail to put contact data into
   file"
  * debian/rules: use dh_desktop and dh_icons
  * debian/control: change Build-Depends: version for debhelper (>= 5.0.51~)
    since we now use dh_icons
  * debian/copyright: add a Copyright Holder: line

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 10 Feb 2008 18:06:31 +0100

jpilot (0.99.9.21-1) unstable; urgency=low

  * New upstream release
   - Fixed Export of Text, and CSV for Contacts.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Jan 2008 15:21:51 +0100

jpilot (0.99.9.20-1) unstable; urgency=low

  * New upstream release
   - Closes: #451205: "jpilot: I10n bug in phonebook entry-type"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 19 Jan 2008 16:30:11 +0100

jpilot (0.99.9.19-1) unstable; urgency=low

  * New upstream release
   - Closes: #459973: "jpilot: Fails to sync ContactsDB"
  * debian/rules:
   - compile with -O2 again since a corrected gcc is now in testing (see
     #443576)
   - install ChangeLog.cvs in usr/share/doc/jpilot/ so that users can get a
     list of changes
   - remove empty directory usr/lib/ in jpilot package

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 13 Jan 2008 22:31:04 +0100

jpilot (0.99.9.18-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
  * debian/control: Standards-Version: 3.7.2 -> 3.7.3: no change needed



=== debian/control ===
Source: jpilot
Section: otherosfs
Build-Depends: libpisock-dev (>= 0.12.4~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 7.0.50~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, libreadline-dev, intltool
Priority: extra
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.8.3
Homepage: http://jpilot.org/

Package: jpilot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpisock9 (>= 0.12.4~)
Conflicts: jpilot-plugins (<< 0.99.7-6), jpilot-mail (<= 0.1.5-1), jpilot-syncmal (<= 0.72.1-2), jpilot-backup (<= 0.50-2)
Recommends: jpilot-plugins
Suggests: jpilot-backup
Description: graphical app. to modify the contents of your Palm Pilot's DBs
 J-Pilot is a desktop organizer application for PalmOS devices. It is
 meant to be an alternative to the Palm Desktop provided by Palm.
 .
 You have access to the following applications:
  o Datebook
  o Address book
  o ToDo list
  o Memos
 .
 Plug-ins are available in the jpilot-plugins package.

Package: jpilot-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jpilot (= ${binary:Version})
Description: plugins for jpilot (Palm Pilot desktop)
 J-Pilot is a desktop organizer application for PalmOS devices. It is
 meant to be an alternative to the Palm Desktop provided by Palm.
 .
 This package includes three plugins for jpilot:
  o Expenses
  o SyncTime
  o KeyRing

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_PLUGINS_PKG_DIR=$(shell pwd)/debian/jpilot-plugins
export DEB_PLUGINS_DIR=$(DEB_PLUGINS_PKG_DIR)/usr/lib/jpilot/plugins

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	dh_auto_configure

override_dh_auto_clean:
	# only make clean if the Makefile exists
	if [ -e Makefile ] ; then \
		$(MAKE) distclean ; fi

## jpilot 1.8.0.1

=== debian/changelog ===
jpilot (1.8.0.1-1) unstable; urgency=low

  * New upstream release (CVS snapshot)
   - Closes: #574030: jpilot: can't delete appointments

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 27 Mar 2010 16:37:07 +0100

jpilot (1.8.0-1) unstable; urgency=low

  * New upstream release
  * update Build-Depends: libpisock-dev to >= 0.12.5~
  * debian/control: remove the Conflicts: with old versions of jpilot plugins
    (no more available in stable/lenny)
  * deban/control: Standards-Version: 3.8.3 -> 3.8.4. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 02 Mar 2010 21:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: jpilot
 Section: otherosfs
-Build-Depends: libpisock-dev (>= 0.12.4~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 7.0.50~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, libreadline-dev, intltool
+Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 7.0.50~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, libreadline-dev, intltool
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://jpilot.org/
 
 Package: jpilot
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpisock9 (>= 0.12.4~)
-Conflicts: jpilot-plugins (<< 0.99.7-6), jpilot-mail (<= 0.1.5-1), jpilot-syncmal (<= 0.72.1-2), jpilot-backup (<= 0.50-2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpisock9 (>= 0.12.5~)
 Recommends: jpilot-plugins
 Suggests: jpilot-backup
 Description: graphical app. to modify the contents of your Palm Pilot's DBs

## jpilot 1.8.0.2

=== debian/changelog ===
jpilot (1.8.0.2-1) unstable; urgency=low

  * New upstream release
   - Fix "iCalendar export error" (Closes: #585927)
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 03 Aug 2010 22:12:50 +0200

## jpilot 1.8.1.1

=== debian/changelog ===
jpilot (1.8.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/jpilot.manpages: include jpilot-merge.1
  * debian/rules: no need to update config.{guess,sub}
  * debian/rules: remove override_dh_auto_clean rule

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 06 Apr 2011 16:59:55 +0200

jpilot (1.8.1-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 06 Apr 2011 08:47:35 +0200

jpilot (1.8.0.4-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Feb 2011 23:15:53 +0100

jpilot (1.8.0.3-1) experimental; urgency=low

  * New upstream release
  * Fix "implement cancelling hotsync from within jpilot" implemented upstream
    (Closes: #590288)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 10 Oct 2010 12:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 7.0.50~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, libreadline-dev, intltool
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://jpilot.org/
 
 Package: jpilot

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_PLUGINS_PKG_DIR=$(shell pwd)/debian/jpilot-plugins
export DEB_PLUGINS_DIR=$(DEB_PLUGINS_PKG_DIR)/usr/lib/jpilot/plugins

## jpilot 1.8.1.2

=== debian/changelog ===
jpilot (1.8.1.2-3) unstable; urgency=low

  * Fix "update config.{sub,guess} for the AArch64 port"
    use dh --with autotools_dev (Closes: #727908)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Oct 2013 20:55:40 +0100

jpilot (1.8.1.2-2) unstable; urgency=low

  * Fix "[Mayhem] Bug report on jpilot: jpilot-sync crashes with exit
    status 139" avoid a infinite recursion in log (Closes: #716045)
  * Fix "[Mayhem] Bug report on jpilot: jpilot crashes with exit status
    139" same fix as above (Closes: #716090)
  * debian/compat: upgrade from 7 to 9 to get automatic hardening
  * debian/control: Standards-Version: 3.9.2 -> 3.9.4. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 02 Aug 2013 13:45:21 +0200

jpilot (1.8.1.2-1) unstable; urgency=low

  * New upstream release
  * Add support of vCard format for Gmail/Android
  * Add support of B-Folders for Memo and Keyring
  * debian/control: remove Build-Depends: libreadline-dev. No more needed
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Jan 2012 13:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: jpilot
 Section: otherosfs
-Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 7.0.50~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, libreadline-dev, intltool
+Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, intltool
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://jpilot.org/
 
 Package: jpilot

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

export DEB_PLUGINS_PKG_DIR=$(shell pwd)/debian/jpilot-plugins
export DEB_PLUGINS_DIR=$(DEB_PLUGINS_PKG_DIR)/usr/lib/jpilot/plugins

=== debian/watch ===
version=2
# Full-site-with-pattern  [Version  [Action]]
http://jpilot.org/download.html http://jpilot.org/jpilot.*-([\d+\.]+|\d+)\.tar(\.gz|\.bz2) debian uupdate

## jpilot 1.8.2

=== debian/changelog ===
jpilot (1.8.2-2) unstable; urgency=medium

  * Fix "Please stop Build-Depending on libgcrypt11-dev transition
    package" use libgcrypt20-dev instead (Closes: #864107)
  * debian/rules: enable hardening=+all
  * remove debian/menu to fix lintian command-in-menu-file-and-desktop-file

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 09 Jun 2017 09:18:17 +0200

jpilot (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Remove debian/patches/avoid_recursive_log included upstream
  * debian/rules: use --parallel to build in parallel
  * Fix "[jpilot] /usr/share/jpilot/Ma?anaDB.pdb not found" the file has been
    renamed upstream (Closes: #747843)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 May 2014 20:48:18 +0200

jpilot (1.8.1.2-5) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.
    Use the patch from Ubuntu jpilot 1.8.1.2-4ubuntu1

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 May 2014 20:36:26 +0200

jpilot (1.8.1.2-4) unstable; urgency=low

  * Fix "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4" use dh --with autoreconf (Closes: #744597)
  * Do not install the /usr/share/jpilot/MañaDB.pdb file since the filename is
    not in UTF-8

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Apr 2014 15:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: jpilot
 Section: otherosfs
-Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9~), libgcrypt11-dev, autotools-dev, libxml-parser-perl, intltool
+Build-Depends: libpisock-dev (>= 0.12.5~), gettext, libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9~), libgcrypt20-dev, autotools-dev, libxml-parser-perl, intltool, dh-autoreconf
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf,autotools_dev --parallel
+
+override_dh_autoreconf:
+	NOCONFIGURE=x dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib
